Bug 19087 - [i915 i965 GEM]glean case (depthStencil) run failed
Summary: [i915 i965 GEM]glean case (depthStencil) run failed
Status: VERIFIED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/DRI/i915 (show other bugs)
Version: unspecified
Hardware: Other Linux (All)
: medium normal
Assignee: Eric Anholt
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 18841 intel-3d-release
  Show dependency treegraph
 
Reported: 2008-12-14 22:04 UTC by liuhaien
Modified: 2009-08-21 02:16 UTC (History)
2 users (show)

See Also:
i915 platform:
i915 features:


Attachments
xorg.0.log (42.17 KB, text/plain)
2008-12-14 22:04 UTC, liuhaien
Details
xorg conf file (3.76 KB, text/plain)
2008-12-14 22:05 UTC, liuhaien
Details

Note You need to log in before you can comment on or make changes to this bug.
Description liuhaien 2008-12-14 22:04:51 UTC
Created attachment 21145 [details]
xorg.0.log

System Environment:
--------------------------
Libdrm:         (master)9583c099b4a08b49e03f7b461c344b6d277fd262
Mesa_stable:            (intel-2008-q4)154a9e5317f890618932cea0129ef887e16baf84
Xserver_stable: (server-1.6-branch)d6129ebf8dad9cfbc13dc8db7c780b023bf9a60b
Xf86_video_intel_stable:(xf86-video-intel-2.6-branch) 
                     005127b5825993d2fe3c36e3a01a37ea6904739e
GEM kernel (for-airlied)8b1fae4e4200388b64dd88065639413cb3f1051c


Bug detailed description:
-------------------------
some glean cases such as depthStencil and readpixPerf  run failed on all our platform (i915 i965).

Reproduce steps:
----------------
1.xinit&
2. run glean cases (depthStencil/readpixPerf)
Comment 1 liuhaien 2008-12-14 22:05:17 UTC
Created attachment 21146 [details]
xorg conf file
Comment 2 liuhaien 2008-12-14 22:30:41 UTC
sorry , I made a mistake, this case(readpixPerf) works on G45.
Comment 3 liuhaien 2008-12-14 23:48:16 UTC
there is another bug(19091) for readpixPerf, so I remove it from the title. 
Comment 4 liuhaien 2009-03-22 19:20:40 UTC
still fails against:
Libdrm:         (master)00d8e960ca665b7f0528438331f4d0ae77fbb4cc
Mesa:(mesa_7_4_branch)b009a32bf428192fef2dc4787d25f022a472854f          
Xserver:        (server-1.6-branch)60c161545af80eb78eb790a05bde79409dfdf16e
Xf86_video_intel:       (2.7)e2465249a90b9aefe6d7a96eb56a51fde54698a0
Kernel:       (for-airlied)a2e785c32b886dd7f0289d1cf15fc14e9c81bc01
Comment 5 fangxun 2009-08-19 18:58:08 UTC
Still failed on recent test.Bisect Mesa commit and find 3335b847bf1e1ee9e77600bd7122eb56ffbc8c07(mesa master) is first bad commit.
Comment 6 fangxun 2009-08-19 19:28:58 UTC
Detail bisect info:

3335b847bf1e1ee9e77600bd7122eb56ffbc8c07 is first bad commit
commit 3335b847bf1e1ee9e77600bd7122eb56ffbc8c07
Author: Brian Paul <brianp@vmware.com>
Date:   Fri Aug 7 09:03:49 2009 -0600

    mesa: do error checking on glCopyPixels() type parameter

    Plus, move some other error checks before state validation and update
    some comments.
Comment 7 Brian Paul 2009-08-20 07:12:25 UTC
OK, mesa commit 6bebfc7ab45654f8b631d16496b9bc5ae60de634 should fix this.
Please test and close this bug if it checks out.
Comment 8 fangxun 2009-08-20 23:14:56 UTC
I can not find mesa commit 6bebfc7ab45654f8b631d16496b9bc5ae60de634 on Mesa master branch.
Comment 9 Gordon Jin 2009-08-20 23:45:46 UTC
I guess it's:

Commit: 39ec4a9253197c4507d53ce9a3c1d8963d8f5cea
URL:    http://cgit.freedesktop.org/mesa/mesa/commit/?id=39ec4a9253197c4507d53ce9a3c1d8963d8f5cea

Author: Brian Paul <brianp@vmware.com>
Date:   Thu Aug 20 08:10:14 2009 -0600

mesa: add GL_DEPTH_STENCIL to glCopyPixels error check

Plus, add a comment about 'type' error checking.
See bug 19087.
Comment 10 fangxun 2009-08-21 02:14:40 UTC
Verified with mesa commit 39ec4a9253197c4507d53ce9a3c1d8963d8f5cea.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.